# Against Truth

[Simon Brooke](mailto:simon@journeyman.cc)

> "Hey, what IS truth, man?" Beeblebrox, Z, quoted in [Adams, 1978]

*This title is, of course, a respectful nod to Feyerabend's Against Method*

## Introduction

This document is in two parts: a  statement of a problem, and an account of an attempt to address  it. The problem is stated briefly in the first chapter, and  fleshed out in the following two with a history of attempts which  have been made in the past to address it, and an analysis of what  would be needed to solve it.

The second part starts with an  account of a system built by the author in collaboration with  Peter Mott, describing particularly how the problem was addressed  by this system; subsequent chapters will describe the development  of a further system, in which the analysis developed in the first  section will be applied.

## Note on the quality of the text

Much of this text was written between 1986 and 1988 on Xerox 1108 and 1186 workstations, in their native WYSIWYG document system, and printed as hard copy; and some was written on the very first generation of Apple Macintosh computer, and again printed as hard copy. The text here is the consequence of scanning the hard copy and running optical character recognition on the scans. It isn't perfect. I am proof reading as I go and I hope that it will improve.

## Contents

### Frontmatter

1. [Manifesto](Manifesto.html)

### Part one: Stating the problem

1. [The Problem](TheProblem.html)
2. [History](History.html)
3. [Analysis](Analysis.html)
4. [On Hegemonic Argument](HegemonicArgument.html)
5. [The Huxley/Kropotkin debate](HuxleyKropotkin.html)
6. [The Bateson/Kammerer debate](BatesonKammerer.html)

### Part Two: Into the wild wood

1. [Arboretum](Arboretum.html)
2. [Arden](Arden.html)
3. [KnacqTools](KnacqTools.html)
4. [Bialowieza](Bialowieza.html)
5. [Implementing](Implementing.html)
6. [Experience](Experience.html)

### Endmatter: bringing it all together

1. [J'Accuse](JAccuse.html)
2. [Errata](Errata.html)

----
[Adams, 1978](https://en.wikipedia.org/wiki/The_Hitchhiker%27s_Guide_to_the_Galaxy)
